org.eclipse.emf.cdo.common.util

## Class CurrentTimeProvider

- java.lang.Object
- - org.eclipse.emf.cdo.common.util.CurrentTimeProvider

- All Implemented Interfaces:
    CDOTimeProvider

      public class CurrentTimeProvider
      extends java.lang.Object
      implements CDOTimeProvider

  Since:
    4.6
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOTimeProvider` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimeStamp()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final CDOTimeProvider INSTANCE

  - ### Method Detail

    - #### getTimeStamp

          public long getTimeStamp()

      Specified by:
        `getTimeStamp` in interface `CDOTimeProvider`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html